org.springframework.web.context

## Interface ServletConfigAware

All Superinterfaces:
  Aware

All Known Implementing Classes:
  SimpleServletPostProcessor

    public interface ServletConfigAware
    extends Aware

Interface to be implemented by any object that wishes to be notified of the `ServletConfig` (typically determined by the `WebApplicationContext`) that it runs in.

Note: Only satisfied if actually running within a Servlet-specific WebApplicationContext. Otherwise, no ServletConfig will be set.

Since:
  2.0
Author:
  Juergen Hoeller, Chris Beams
See Also:
  `ServletContextAware`

### Method Summary

Methods
`void` `setServletConfig(ServletConfig servletConfig)` Set the `ServletConfig` that this object runs in.

### Method Detail

#### setServletConfig

    void setServletConfig(ServletConfig servletConfig)

Set the `ServletConfig` that this object runs in.

Invoked after population of normal bean properties but before an init callback like InitializingBean's `afterPropertiesSet` or a custom init-method. Invoked after ApplicationContextAware's `setApplicationContext`.

Parameters:
  `servletConfig` - ServletConfig object to be used by this object
See Also:
  `InitializingBean.afterPropertiesSet()`, `ApplicationContextAware.setApplicationContext(org.springframework.context.ApplicationContext)`